#Module-Specific definitions
%define mod_name mod_ruid
%define mod_conf A89_%{mod_name}.conf
%define mod_so %{mod_name}.so

Summary:	Suexec module for apache 2.x, based on mod_suid2
Name:		apache-%{mod_name}
Version:	0.6
Release:	%mkrel 14
Group:		System/Servers
License:	Apache License
URL:		http://websupport.sk/~stanojr/projects/mod_ruid/
Source0:	http://websupport.sk/~stanojr/projects/mod_ruid/mod_ruid-%{version}.tar.gz
Source1:	README.%{mod_name}
Source2:	%{mod_conf}
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(pre):	apache-conf >= 2.2.0
Requires(pre):	apache >= 2.2.0
Requires:	apache-conf >= 2.2.0
Requires:	apache >= 2.2.0
BuildRequires:	apache-devel >= 2.2.0
BuildRequires:	file
BuildRequires:	libcap-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Mod_ruid is suexec module for apache 2.0, based on mod_suid2.

%prep

%setup -q -n %{mod_name}-%{version}

cp %{SOURCE1} .
cp %{SOURCE2} %{mod_conf}

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

%build

%{_sbindir}/apxs -c -Wl,-lcap %{mod_name}.c

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/apache-extramodules
install -d %{buildroot}%{_sysconfdir}/httpd/modules.d

install -m0755 .libs/*.so %{buildroot}%{_libdir}/apache-extramodules/
install -m0644 %{mod_conf} %{buildroot}%{_sysconfdir}/httpd/modules.d/%{mod_conf}

%post
if [ -f %{_var}/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart 1>&2
    fi
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README.%{mod_name}
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/modules.d/%{mod_conf}
%attr(0755,root,root) %{_libdir}/apache-extramodules/%{mod_so}


%changelog
* Sat Feb 11 2012 Oden Eriksson <oeriksson@mandriva.com> 0.6-14mdv2012.0
+ Revision: 772757
- rebuild

* Tue May 24 2011 Oden Eriksson <oeriksson@mandriva.com> 0.6-13
+ Revision: 678411
- mass rebuild

* Sun Oct 24 2010 Oden Eriksson <oeriksson@mandriva.com> 0.6-12mdv2011.0
+ Revision: 588057
- rebuild

* Mon Mar 08 2010 Oden Eriksson <oeriksson@mandriva.com> 0.6-11mdv2010.1
+ Revision: 516173
- rebuilt for apache-2.2.15

* Sat Aug 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.6-10mdv2010.0
+ Revision: 406643
- rebuild

* Tue Jan 06 2009 Oden Eriksson <oeriksson@mandriva.com> 0.6-9mdv2009.1
+ Revision: 326230
- rebuild

* Mon Jul 14 2008 Oden Eriksson <oeriksson@mandriva.com> 0.6-8mdv2009.0
+ Revision: 235079
- rebuild

* Mon Jul 07 2008 Oden Eriksson <oeriksson@mandriva.com> 0.6-7mdv2009.0
+ Revision: 232356
- rebuilt against new libcap

* Thu Jun 05 2008 Oden Eriksson <oeriksson@mandriva.com> 0.6-6mdv2009.0
+ Revision: 215629
- fix rebuild
- fix buildroot

* Fri Mar 07 2008 Oden Eriksson <oeriksson@mandriva.com> 0.6-5mdv2008.1
+ Revision: 181868
- rebuild

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 0.6-4mdv2008.1
+ Revision: 170746
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Sat Sep 08 2007 Oden Eriksson <oeriksson@mandriva.com> 0.6-3mdv2008.0
+ Revision: 82668
- rebuild


* Sat Mar 10 2007 Oden Eriksson <oeriksson@mandriva.com> 0.6-2mdv2007.1
+ Revision: 140737
- rebuild

* Wed Jan 31 2007 Oden Eriksson <oeriksson@mandriva.com> 0.6-1mdv2007.1
+ Revision: 115652
- Import apache-mod_ruid

* Wed Jan 31 2007 Oden Eriksson <oeriksson@mandriva.com> 0.6-1mdv2007.1
- initial Mandriva package

